const gitRevSync = require("git-rev-sync");
const { badgen } = require("badgen");
const fs = require("fs");

const commitId = gitRevSync.short();

fs.writeFileSync(
  "./public/git-version.svg",
  badgen({ label: "git", status: commitId }),
  "utf-8"
);
