import isAfter from "date-fns/isAfter";
import isBefore from "date-fns/isBefore";

export const sortByDate = (a, b) => {
  const aDate = a.created_at,
    bDate = b.created_at;

  if (!aDate) {
    return -1;
  } else if (!bDate) {
    return 1;
  } else if (!aDate && !bDate) {
    return 0;
  }

  if (isBefore(new Date(aDate), new Date(bDate))) {
    return 1;
  } else if (isAfter(new Date(aDate), new Date(bDate))) {
    return -1;
  }

  return 0;
};
