export interface QueryParams {
  pagination: Pagination;
  sort: Sort;
  filter: Filter;
}
export interface Pagination {
  page: number;
  perPage: number;
}
export interface Sort {
  field: string;
  order: "ASC" | "DESC";
}
export interface Filter {
  [key: string]: string;
}
