import { GetProperty_admin_getOwnerships_ownerships } from "../../graphql/queries/__generated__/GetProperty";

export type OwnershipModalProps = {
  ownership: GetProperty_admin_getOwnerships_ownerships;
  hideModal: () => void;
  refetchProperty: () => Promise<any>;
};

export interface FormValues {
  first_name: string;
  last_name: string;
  is_owned_by_a_company?: boolean;
  company_name?: string;
  is_purchased_in_6_months?: boolean;
  document_ids?: Document[];
  notes: string;
  status: boolean;
}
