import React from "react";

import Deals from "../../tabs/Deals";
import Documents from "../../tabs/Documents";

const LeadTabContent = ({ currentTab, ...rest }) => {
  switch (currentTab) {
    case 0:
      return <Deals {...rest} />;
    case 1:
      return <Documents {...rest} />;
    default:
      return <></>;
  }
};

export default LeadTabContent;
