import { mortgage_api_MortgageLeadStageEnum as StageEnum } from "../../../globalTypes";

const stages = {
  [StageEnum.BOOKED]: "Booked",
  [StageEnum.FIRST_APPOINTMENT]: "First appointment",
  [StageEnum.AIP]: "AIP",
  [StageEnum.INACTIVE]: "Inactive",
  [StageEnum.PRE_CALL_COMPLETED]: "Pre-call completed",
  [StageEnum.PRE_CALL_UNSUCCESSFUL]: "Pre-call unsuccessful",
  [StageEnum.SIGN_UP]: "Sign up",
};

export const stageTranslate = (value: StageEnum) => {
  return stages[value];
};
