import { GetTransactions_admin_allTransactions_transactions_matches } from "../../../../unmatched-transactions/graphql/__generated__/GetTransactions";
import { PaymentsGetTransaction_admin_Transaction_matches } from "../../../graphql/queries/__generated__/PaymentsGetTransaction";

export type PropertyInput = {
  location: string;
  invoice_id: string | undefined;
  property_id: string;
  payment_id: string;
};

export type FormValues = {
  invoice_id?: {
    label: string;
    value: string;
  };
  selectedLocation?: {
    location: string;
    propertyId: string;
  };
  xero_code?: string;
};

export type PaymentOption = {
  label: string;
  value: string;
};

export type MatchTransactionFormProps = {
  className?: string;
  buttonText?: string;
  onSubmit?: () => void;
  transactionId: string;
  transactionMatches:
    | readonly (
        | GetTransactions_admin_allTransactions_transactions_matches
        | PaymentsGetTransaction_admin_Transaction_matches
      )[]
    | null;
};
