import { sentenceCase } from "change-case";

import { invoice_api_InvoiceStatusEnum } from "../../../../globalTypes";

export const getInvoiceStatus = (status: invoice_api_InvoiceStatusEnum) => {
  switch (status) {
    case invoice_api_InvoiceStatusEnum.INVOICE_FULFILLED:
      return "Fulfilled";
    case invoice_api_InvoiceStatusEnum.INVOICE_OPEN:
      return "Opened";
    case invoice_api_InvoiceStatusEnum.INVOICE_CANCELED:
      return "Canceled";
    default:
      return sentenceCase(status);
  }
};
