import { ApolloQueryResult } from "apollo-client";

import {
  GetUserInfo,
  GetUserInfo_admin_User,
  GetUserInfoVariables,
} from "../../graphql/queries/__generated__/GetUserInfo";

export type IdentityVerificationProps = {
  user: GetUserInfo_admin_User;
  refetch: (
    variables?: GetUserInfoVariables | undefined
  ) => Promise<ApolloQueryResult<GetUserInfo>>;
};
