import { account_api_AccountCreationTypeEnum as CreationTypeEnum } from "../../globalTypes";

export const getSignUpMethod = (creation_type: CreationTypeEnum | null) => {
  switch (creation_type) {
    case CreationTypeEnum.ACCOUNT_CREATION_TYPE_EMAIL:
      return "Email";
    case CreationTypeEnum.ACCOUNT_CREATION_TYPE_GOOGLE:
      return "Google";
    default:
      return "N/A";
  }
};
