import React, { ComponentProps, FC } from "react";

import { StyledButton } from "./styles";

export type ButtonProps = {
  width?: string;
  bgColor?: string;
  textColor?: string;
} & ComponentProps<"button">;

const Button: FC<ButtonProps> = (props) => (
  <StyledButton {...props}></StyledButton>
);

export default Button;
