import styled from "@emotion/styled/macro";

import { colors } from "../../theme";

export const StyledLogoutButton = styled.button`
  text-align: center;
  border: 0;
  border-radius: 0.8em;
  cursor: pointer;
  text-decoration: none;
  transition: all 0.25s;
  font-size: 16px;
  font-weight: 500;
  height: 2.5em;
  min-width: 3em;
  box-shadow: 0px 10px 30px rgba(49, 58, 68, 0.03),
    0px 4px 16px rgba(14, 44, 84, 0.1);
  color: ${colors.black};
  background: ${colors.white};
  padding: 0 2em;
`;
