import { PropertyProduct } from "./product";

export interface PaymentDetails {
  price: number;
  tax: number;
  products: PropertyProduct[];
  email: string;
}

export interface PaymentLink {
  id: string;
  url: string;
}

export const EMPTY_PAYMENT_DETAILS: PaymentDetails = {
  price: 0,
  tax: 0,
  products: [],
  email: ""
};
