import { property_api_TenancyStateEnum } from "../../globalTypes";

export const TRANSACTION_DATE_OPTIONS = [
  {
    label: "Active",
    value: property_api_TenancyStateEnum.TENANCY_ACTIVE,
  },
  {
    label: "Closed",
    value: property_api_TenancyStateEnum.TENANCY_CLOSED,
  },
  {
    label: "Terminating",
    value: property_api_TenancyStateEnum.TENANCY_TERMINATING,
  },
];

export const AVAILABLE_CORRELATION_TARGETS = [
  "standing-order",
  "tenant-services",
  "deposit-replacement",
  "holding-deposit",
];

export const CORRELATION_TARGET_LABEL = {
  "standing-order": "Standing Order",
  "tenant-services": "Tenant Services",
  "deposit-replacement": "Deposit Replacement",
  "holding-deposit": "Holding Deposit",
};
