export type Option = {
  label: string;
  value: string;
};
export const EmptyOption: Option = { label: "", value: "" };

export const wrapInputEmptyOption = <T extends { value: Option }>(
  input: T
): T => ({
  ...input,
  value: input.value || EmptyOption,
});
