export const cropFileName = (
  fileName: string,
  maxLength: number = 40
): string =>
  fileName.length < maxLength
    ? fileName
    : `${fileName.substr(0, maxLength / 2)} . . . ${fileName.substring(
        fileName.length - maxLength / 2
      )}`;
