export function formatOrdinal(num: number) {
  const pr = new Intl.PluralRules("en", {
    type: "ordinal",
  });
  const suffixes = {
    one: "st",
    two: "nd",
    few: "rd",
    other: "th",
  };
  const suffix = suffixes[pr.select(num)];
  return `${num}${suffix}`;
}
