module.exports = {
  presets: [
    "@babel/preset-typescript",
    "@emotion/babel-preset-css-prop",
  ],
  plugins: [
    "@babel/plugin-proposal-optional-chaining",
    "@babel/plugin-proposal-nullish-coalescing-operator",
    "effector/babel-plugin",
  ],
  env: {
    development: {
      plugins: [
        "@babel/plugin-transform-react-jsx-source",
        "babel-plugin-react-anonymous-display-name",
      ],
    },
  },
};
