import React, { FC } from "react";

type Props = { code: 404 | 403 | 500 };
const PageError: FC<Props> = ({ code }) => {
  return (
    <>
      {code === 404
        ? "404, Object not found"
        : code === 500
        ? "Internal error"
        : null}
    </>
  );
};

export default PageError;
