import React, { FC } from "react";

import styles from "../styles.module.css";

const ErrorPopup: FC = ({ children }) => (
  <div className={styles.errorPopupWrapper}>
    <div className={styles.errorPopupMessage}>An error occurred:</div>
    <div>{children}</div>
  </div>
);

export default ErrorPopup;
