import React from "react";

import { Route, Switch } from "react-router";
import { RouteComponentProps } from "react-router-dom";

import LeadEdit from "./lead-edit";
import LeadList from "./lead-list";

const Mortgages: React.FC<RouteComponentProps> = ({ match }) => {
  return (
    <>
      <Switch>
        <Route component={LeadList} exact path={`${match.path}`} />
        <Route component={LeadEdit} exact path={`${match.path}/:id/edit`} />
      </Switch>
    </>
  );
};

export default Mortgages;
