import { useMutation } from "react-apollo";

import {
  GenerateRentInvoices,
  GenerateRentInvoicesVariables
} from "../graphql/mutations/__generated__/GenerateRentInvoices";
import GENERATE_RENT_INVOICES from "../graphql/mutations/GenerateRentInvoices.graphql";

// It must be generated with codegen
export const useGenerateRentInvoicesMutation = () =>
  useMutation<GenerateRentInvoices, GenerateRentInvoicesVariables>(
    GENERATE_RENT_INVOICES
  );
