import { useMutation } from "react-apollo";

import {
  GenerateRentPlanInsurances,
  GenerateRentPlanInsurancesVariables
} from "../graphql/mutations/__generated__/GenerateRentPlanInsurances";
import GENERATE_RENT_PLAN_INSURANCES from "../graphql/mutations/GenerateRentPlanInsurances.graphql";

// It must be generated with codegen
export const useGenerateRentPlanInsurancesMutation = () =>
  useMutation<GenerateRentPlanInsurances, GenerateRentPlanInsurancesVariables>(
    GENERATE_RENT_PLAN_INSURANCES
  );
