import React from "react";

import EmailLink from "../../../../ui/atoms/EmailLink";

const TenantRiskLink = ({ document }: { document: string }) => {
  return document ? (
    <EmailLink
      href={`/media/${document}`}
      rel="noopener noreferrer"
      target="_blank"
    >
      view
    </EmailLink>
  ) : null;
};

export default TenantRiskLink;
