import React, { FC } from "react";

import { Route, RouteComponentProps, Switch } from "react-router-dom";

import Details from "./Details";
import List from "./List";
// import Edit from "./Edit";
import { Notifications } from "./UserDetails/Notifications";

export type PlatformUsersHomeProps = RouteComponentProps<{}> & {};
const PlatformUsersHome: FC<PlatformUsersHomeProps> = ({ match }) => {
  return (
    <div>
      <Switch>
        <Route component={List} exact path={`${match.path}`} />
        <Route component={Details} exact path={`${match.path}/:id/view`} />
        <Route
          component={Notifications}
          exact
          path={`${match.path}/:id/view/notifications`}
        />
      </Switch>
    </div>
  );
};

export default PlatformUsersHome;
