import styled from "@emotion/styled";

import { colors } from "../../theme";

export const MainContainer = styled.div`
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: ${colors.veryLightPink};
`;

export const Header = styled.header`
  height: 6.5em;
  display: flex;
  justify-content: space-between;
  max-width: 90%;
  margin: 0 auto;
  align-items: center;
  width: 100%;
`;

export const Content = styled.div`
  margin: 0 auto;
  width: 100%;
  background-color: ${colors.veryLightPink};
  border-radius: 0.8em;
  display: flex;
  max-width: 90%;
`;
