import { ProductSale } from "./product";

export interface Order {
  id: string;
  orderType: OrderType;
  correlationType: string;
  correlationId: string;
  userId: string;
  status: OrderStatus;
  productSales: Array<ProductSale>;
}

export enum OrderType {
  ORDER_TYPE_UNKNOWN,
  REGULAR_ORDER,
  CONTENTS_INSURANCE_ORDER,
  INDIVIDUAL_ORDER,
}

export enum OrderStatus {
  UNKNOWN_ORDER_STATUS,
  ORDER_PENDING,
  ORDER_ACTIVE,
  ORDER_CANCELLED,
  ORDER_PAID,
}
