import styled from "@emotion/styled";

import { colors } from "../../../theme";

export const AccountInfoContainer = styled.div<{ bgColor: string }>`
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: fit-content;
  background-color: ${({ bgColor }) => bgColor};
  border-radius: 0.8em;
  padding: 1em;
  font-size: 0.9em;
`;

export const Text = styled.div`
  color: ${colors.slate};
`;
