import styled from "@emotion/styled";

import { colors } from "../../../theme";

export const LeadContainer = styled.div`
  display: flex;
  flex-direction: column;
  height: fit-content;
  background-color: ${colors.white};
  border-radius: 0.8em;
  padding: 1em;
`;

export const SpinnerContainer = styled.div`
  padding-top: 1em;
  width: 100%;
  display: flex;
  justify-content: center;
`;
