import { ComponentProps } from "react";

import styled from "@emotion/styled";

import css from "@emotion/css";

export const ProductAttrInput = styled.input<ComponentProps<"input">>`
  border: none;
  ${(props) =>
    props.width &&
    css`
      width: ${props.width};
    `};

  ::-webkit-calendar-picker-indicator {
    margin-left: -1rem;
  }

  ::-webkit-outer-spin-button,
  ::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  &[type="number"] {
    -moz-appearance: textfield;
  }
`;
