// eslint-disable-next-line import/prefer-default-export
export const colors = Object.freeze({
  black: "#2b2f41",
  blueyGrey: "#8ea1b8",
  serviceGrey: "#5F7483",
  serviceLightGrey: "#e9edf2",
  blush: "#f0b4aa",
  blushGreen: "#aaf0abff",
  darkIndigo: "#0e2c54",
  dirtBrown: "#8a4d36",
  dullOrange: "#e27b38",
  creamBrulee: "#ffe39c",
  emerald: "#009c48",
  lightNavy: "#1550a6",
  aquaHaze: "#e9eef3",
  offWhite: "#faf3e4",
  pale: "#f5ddd0",
  paleBrown: "#a48471",
  slate: "#546882",
  tomato: "#e23838",
  mashPaleRed: "#ff5353",
  mashPaleRedHover: "#f06464",
  veryLightBlue: "#e9eef3",
  veryLightPink: "#fef5ef",
  veryLightPinkTwo: "#faece4",
  white: "#fff",
});

export const params = {
  screens: {
    large: {
      min: "1280px",
    },
    desktop: {
      max: "1279.98px",
      min: "1024px",
    },
    tablet: {
      min: "640px",
      max: "1023.98px",
    },
    mobile: {
      max: "639.98px",
      min: "360px",
    },
    small: {
      max: "359.98px",
    },
  },
};
