// eslint-disable-next-line @typescript-eslint/no-var-requires
const { createProxyMiddleware } = require("http-proxy-middleware");

module.exports = function (app) {
  app.use(
    "/media",
    createProxyMiddleware({
      target: process.env.REACT_APP_MEDIA_URL,
      changeOrigin: true,
      cookiePathRewrite: true,
      cookieDomainRewrite: true,
      secure: false,
      logLevel: "debug",
    })
  );
};
