import styled from "@emotion/styled";

export const SearchRow = styled.div`
  display: flex;
  margin: 0 -15px 20px;
  align-items: flex-end;
`;

export const SearchColField = styled.div`
  width: 350px;
  margin: 0 15px;
`;

export const SearchCol = styled.div`
  margin: 0 15px;
`;

export const SearchLabel = styled.label`
  display: block;
  font-size: 16px;
  margin: 0 0 4px;
  font-weight: 700;
`;

export const SearchField = styled.label`
  display: flex;

  button {
    padding: 0;
    width: 120px;
    margin-left: 10px;
  }
`;
