import styled from "@emotion/styled";

import theme from "../theme";

const LinkWithPreviewFile = styled.a`
  display: inline-flex;
  text-decoration: none;
  font-weight: 500;
  align-items: center;
  color: ${theme.colors.icons.darkBlue};
  transition: color 0.25s;

  &:hover {
    color: ${theme.colors.main.darkGrey};
  }

  img {
    width: 60px;
    height: auto;
    margin-right: 12px;
  }

  span {
    flex: 1;
  }
`;

export default LinkWithPreviewFile;
