import React from "react";

import styled from "@emotion/styled";

import theme from "../theme";

export default ({ text, onClick }: { text: string; onClick: () => void }) => {
  return <ListAction onClick={onClick}>{text}</ListAction>;
};

const ListAction = styled.span`
  text-decoration: underline;
  cursor: pointer;
  color: ${theme.colors.main.mainBlue};
`;
