import React from "react";

export const MessagePublished = ({ msg }: { msg?: string }) => (
  <>{msg ? msg : <>Property was published!</>}</>
);

export const MessageSomethingWrong = ({ msg }: { msg?: string }) => (
  <>{msg ? msg : <>Something went wrong...</>}</>
);

export const MessageErrorPublished = ({
  code,
  msg,
}: {
  msg: string;
  code: string[];
}) => (
  <>
    Error code: {code.join(", ")} <br />
    Error message: {msg}
  </>
);
