import styled from "@emotion/styled";

export const SearchField = styled.div`
  display: flex;
  align-items: center;
  margin-bottom: 20px;

  input {
    width: 440px;
    margin-right: 20px;
  }

  button {
    margin-right: 20px;
  }
`;

export const SearchFieldWide = styled(SearchField)`
  input {
    width: auto;
    flex: 1;
    max-width: 800px;
  }
`;
