import styled from "@emotion/styled";

import theme from "../theme";

const Status = styled.strong`
  font-weight: 700;
  display: inline-block;
`;
export const StatusBlock = styled(Status)`
  color: ${theme.colors.main.red};
`;
export const StatusActive = styled(Status)`
  color: ${theme.colors.main.green};
`;
export const StatusListed = styled(Status)`
  color: ${theme.colors.main.mainBlue};
`;
export const StatusVerifying = styled(Status)`
  color: ${theme.colors.main.red};
`;
export const StatusIncomplete = styled(Status)`
  color: ${theme.colors.icons.darkBlue};
`;
export const StatusUnknown = styled.strong`
  color: ${theme.colors.main.darkGrey};
`;
export const StatusOffline = styled.strong`
  color: ${theme.colors.main.darkGrey};
`;
export const StatusPending = styled.strong`
  color: ${theme.colors.main.yellow};
`;
export const ReconciliationStatusPartial = styled.strong`
  color: ${theme.colors.main.yellow};
`;
export const ReconciliationStatusFull = styled.strong`
  color: ${theme.colors.main.green};
`;
export const ReconciliationStatusUnknown = styled.strong`
  color: ${theme.colors.main.yellow};
`;
