type getSortOrderProps = {
  field: string[];
  fieldName: string;
  order: number;
};

export default function getSortOrder({
  field,
  fieldName,
  order,
}: getSortOrderProps): number {
  return (field as string[]).includes(fieldName) ? (order === 1 ? -1 : 1) : 1;
}
