import { Maybe } from "../graphql-schema-types.generated";

type GetPersonFullNameParams = {
  firstName?: Maybe<string>;
  lastName?: Maybe<string>;
};

export const getPersonFullName = ({
  firstName,
  lastName,
}: GetPersonFullNameParams) => [firstName, lastName].filter(Boolean).join(" ");
