// eslint-disable-next-line import/prefer-default-export
export const getSortOrder = (field, order, fieldName): number => {
  return field.includes(fieldName) ? (order === 1 ? -1 : 1) : 1;
};
export const validatePostCode = (code) => {
  const re = /([Gg][Ii][Rr] 0[Aa]{2})|((([A-Za-z][0-9]{1,2})|(([A-Za-z][A-Ha-hJ-Yj-y][0-9]{1,2})|(([A-Za-z][0-9][A-Za-z])|([A-Za-z][A-Ha-hJ-Yj-y][0-9][A-Za-z]?))))\s?[0-9][A-Za-z]{2})/;

  return re.test(code);
};
